Dry-run the workflow for one customer. Nothing is created, sent or booked.
POST
/v1/workspace/workflows/{recipe_id}/preview
const url = 'https://api.vocapable.com/v1/workspace/workflows/example/preview';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"organization_id":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.vocapable.com/v1/workspace/workflows/example/preview \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "organization_id": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”recipe_id
required
Recipe Id
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
WorkspaceWorkflowPreviewRequest
object
organization_id
required
Organization Id
string
Examplegenerated
{ "organization_id": "example"}Responses
Section titled “Responses”Successful Response
Media typeapplication/json
WorkspaceWorkflowPreview
A dry run for one real customer. Nothing is created, sent, booked or charged.
object
recipe
required
Recipe
string
company_name
required
Company Name
string
customer_name
required
Customer Name
string
outcome
required
Outcome
string
message
required
Message
string
effects
required
Effects
Array<string>
checks
required
executed
Executed
boolean
Example
{ "recipe": "missed_call", "outcome": "Outreach stopped", "executed": false}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}